{
  "address": "0xd7053D079fb48877c1740c525DB2816f6A9Ad4ef",
  "abi": [
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": false,
          "internalType": "uint8",
          "name": "version",
          "type": "uint8"
        }
      ],
      "name": "Initialized",
      "type": "event"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "previousOwner",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "newOwner",
          "type": "address"
        }
      ],
      "name": "OwnershipTransferred",
      "type": "event"
    },
    {
      "inputs": [],
      "name": "EXIT_1_NO_RETURN_STEP",
      "outputs": [
        {
          "internalType": "uint8",
          "name": "",
          "type": "uint8"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "PROXY_TRANSFER_STEP",
      "outputs": [
        {
          "internalType": "uint8",
          "name": "",
          "type": "uint8"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "config",
      "outputs": [
        {
          "components": [
            {
              "internalType": "contract AddressManager",
              "name": "addressManager",
              "type": "address"
            },
            {
              "internalType": "contract ProxyAdmin",
              "name": "proxyAdmin",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "controller",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "finalOwner",
              "type": "address"
            }
          ],
          "internalType": "struct SystemDictator.GlobalConfig",
          "name": "globalConfig",
          "type": "tuple"
        },
        {
          "components": [
            {
              "internalType": "address",
              "name": "l2OutputOracleProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "optimismPortalProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "l1CrossDomainMessengerProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "l1StandardBridgeProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "optimismMintableERC20FactoryProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "l1ERC721BridgeProxy",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "systemConfigProxy",
              "type": "address"
            }
          ],
          "internalType": "struct SystemDictator.ProxyAddressConfig",
          "name": "proxyAddressConfig",
          "type": "tuple"
        },
        {
          "components": [
            {
              "internalType": "contract L2OutputOracle",
              "name": "l2OutputOracleImpl",
              "type": "address"
            },
            {
              "internalType": "contract OptimismPortal",
              "name": "optimismPortalImpl",
              "type": "address"
            },
            {
              "internalType": "contract L1CrossDomainMessenger",
              "name": "l1CrossDomainMessengerImpl",
              "type": "address"
            },
            {
              "internalType": "contract L1StandardBridge",
              "name": "l1StandardBridgeImpl",
              "type": "address"
            },
            {
              "internalType": "contract OptimismMintableERC20Factory",
              "name": "optimismMintableERC20FactoryImpl",
              "type": "address"
            },
            {
              "internalType": "contract L1ERC721Bridge",
              "name": "l1ERC721BridgeImpl",
              "type": "address"
            },
            {
              "internalType": "contract PortalSender",
              "name": "portalSenderImpl",
              "type": "address"
            },
            {
              "internalType": "contract SystemConfig",
              "name": "systemConfigImpl",
              "type": "address"
            }
          ],
          "internalType": "struct SystemDictator.ImplementationAddressConfig",
          "name": "implementationAddressConfig",
          "type": "tuple"
        },
        {
          "components": [
            {
              "internalType": "address",
              "name": "owner",
              "type": "address"
            },
            {
              "internalType": "uint256",
              "name": "overhead",
              "type": "uint256"
            },
            {
              "internalType": "uint256",
              "name": "scalar",
              "type": "uint256"
            },
            {
              "internalType": "bytes32",
              "name": "batcherHash",
              "type": "bytes32"
            },
            {
              "internalType": "uint64",
              "name": "gasLimit",
              "type": "uint64"
            },
            {
              "internalType": "address",
              "name": "unsafeBlockSigner",
              "type": "address"
            }
          ],
          "internalType": "struct SystemDictator.SystemConfigConfig",
          "name": "systemConfigConfig",
          "type": "tuple"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "currentStep",
      "outputs": [
        {
          "internalType": "uint8",
          "name": "",
          "type": "uint8"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "dynamicConfigSet",
      "outputs": [
        {
          "internalType": "bool",
          "name": "",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "exit1",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "finalize",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "finalized",
      "outputs": [
        {
          "internalType": "bool",
          "name": "",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "components": [
            {
              "components": [
                {
                  "internalType": "contract AddressManager",
                  "name": "addressManager",
                  "type": "address"
                },
                {
                  "internalType": "contract ProxyAdmin",
                  "name": "proxyAdmin",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "controller",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "finalOwner",
                  "type": "address"
                }
              ],
              "internalType": "struct SystemDictator.GlobalConfig",
              "name": "globalConfig",
              "type": "tuple"
            },
            {
              "components": [
                {
                  "internalType": "address",
                  "name": "l2OutputOracleProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "optimismPortalProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "l1CrossDomainMessengerProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "l1StandardBridgeProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "optimismMintableERC20FactoryProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "l1ERC721BridgeProxy",
                  "type": "address"
                },
                {
                  "internalType": "address",
                  "name": "systemConfigProxy",
                  "type": "address"
                }
              ],
              "internalType": "struct SystemDictator.ProxyAddressConfig",
              "name": "proxyAddressConfig",
              "type": "tuple"
            },
            {
              "components": [
                {
                  "internalType": "contract L2OutputOracle",
                  "name": "l2OutputOracleImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract OptimismPortal",
                  "name": "optimismPortalImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract L1CrossDomainMessenger",
                  "name": "l1CrossDomainMessengerImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract L1StandardBridge",
                  "name": "l1StandardBridgeImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract OptimismMintableERC20Factory",
                  "name": "optimismMintableERC20FactoryImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract L1ERC721Bridge",
                  "name": "l1ERC721BridgeImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract PortalSender",
                  "name": "portalSenderImpl",
                  "type": "address"
                },
                {
                  "internalType": "contract SystemConfig",
                  "name": "systemConfigImpl",
                  "type": "address"
                }
              ],
              "internalType": "struct SystemDictator.ImplementationAddressConfig",
              "name": "implementationAddressConfig",
              "type": "tuple"
            },
            {
              "components": [
                {
                  "internalType": "address",
                  "name": "owner",
                  "type": "address"
                },
                {
                  "internalType": "uint256",
                  "name": "overhead",
                  "type": "uint256"
                },
                {
                  "internalType": "uint256",
                  "name": "scalar",
                  "type": "uint256"
                },
                {
                  "internalType": "bytes32",
                  "name": "batcherHash",
                  "type": "bytes32"
                },
                {
                  "internalType": "uint64",
                  "name": "gasLimit",
                  "type": "uint64"
                },
                {
                  "internalType": "address",
                  "name": "unsafeBlockSigner",
                  "type": "address"
                }
              ],
              "internalType": "struct SystemDictator.SystemConfigConfig",
              "name": "systemConfigConfig",
              "type": "tuple"
            }
          ],
          "internalType": "struct SystemDictator.DeployConfig",
          "name": "_config",
          "type": "tuple"
        }
      ],
      "name": "initialize",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "l2OutputOracleDynamicConfig",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "l2OutputOracleStartingBlockNumber",
          "type": "uint256"
        },
        {
          "internalType": "uint256",
          "name": "l2OutputOracleStartingTimestamp",
          "type": "uint256"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "oldL1CrossDomainMessenger",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "owner",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "renounceOwnership",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step1",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step2",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step3",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step4",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step5",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "step6",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "newOwner",
          "type": "address"
        }
      ],
      "name": "transferOwnership",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "components": [
            {
              "internalType": "uint256",
              "name": "l2OutputOracleStartingBlockNumber",
              "type": "uint256"
            },
            {
              "internalType": "uint256",
              "name": "l2OutputOracleStartingTimestamp",
              "type": "uint256"
            }
          ],
          "internalType": "struct SystemDictator.L2OutputOracleDynamicConfig",
          "name": "_l2OutputOracleDynamicConfig",
          "type": "tuple"
        }
      ],
      "name": "updateL2OutputOracleDynamicConfig",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    }
  ],
  "transactionHash": "0xde45a47a22405e3337597ca6c85df57c2b560ad6c32f7e0c871cd64a5f439a85",
  "receipt": {
    "to": null,
    "from": "0x2d30335B0b807bBa1682C487BaAFD2Ad6da5D675",
    "contractAddress": "0xd7053D079fb48877c1740c525DB2816f6A9Ad4ef",
    "transactionIndex": 0,
    "gasUsed": "2874326",
    "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "blockHash": "0xcb2a3a89b6c2941b6246ba9c035db4e4108e90d1d61ba18dddd77715eb19a388",
    "transactionHash": "0xde45a47a22405e3337597ca6c85df57c2b560ad6c32f7e0c871cd64a5f439a85",
    "logs": [],
    "blockNumber": 8252884,
    "cumulativeGasUsed": "2874326",
    "status": 1,
    "byzantium": true
  },
  "args": [],
  "numDeployments": 1,
  "solcInputHash": "8d0d136650052d9379ff0b2b1338ea87",
  "metadata": "{\"compiler\":{\"version\":\"0.8.15+commit.e14f2714\"},\"language\":\"Solidity\",\"output\":{\"abi\":[{\"anonymous\":false,\"inputs\":[{\"indexed\":false,\"internalType\":\"uint8\",\"name\":\"version\",\"type\":\"uint8\"}],\"name\":\"Initialized\",\"type\":\"event\"},{\"anonymous\":false,\"inputs\":[{\"indexed\":true,\"internalType\":\"address\",\"name\":\"previousOwner\",\"type\":\"address\"},{\"indexed\":true,\"internalType\":\"address\",\"name\":\"newOwner\",\"type\":\"address\"}],\"name\":\"OwnershipTransferred\",\"type\":\"event\"},{\"inputs\":[],\"name\":\"EXIT_1_NO_RETURN_STEP\",\"outputs\":[{\"internalType\":\"uint8\",\"name\":\"\",\"type\":\"uint8\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"PROXY_TRANSFER_STEP\",\"outputs\":[{\"internalType\":\"uint8\",\"name\":\"\",\"type\":\"uint8\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"config\",\"outputs\":[{\"components\":[{\"internalType\":\"contract AddressManager\",\"name\":\"addressManager\",\"type\":\"address\"},{\"internalType\":\"contract ProxyAdmin\",\"name\":\"proxyAdmin\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"controller\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"finalOwner\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.GlobalConfig\",\"name\":\"globalConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"address\",\"name\":\"l2OutputOracleProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"optimismPortalProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1CrossDomainMessengerProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1StandardBridgeProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"optimismMintableERC20FactoryProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1ERC721BridgeProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"systemConfigProxy\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.ProxyAddressConfig\",\"name\":\"proxyAddressConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"contract L2OutputOracle\",\"name\":\"l2OutputOracleImpl\",\"type\":\"address\"},{\"internalType\":\"contract OptimismPortal\",\"name\":\"optimismPortalImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1CrossDomainMessenger\",\"name\":\"l1CrossDomainMessengerImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1StandardBridge\",\"name\":\"l1StandardBridgeImpl\",\"type\":\"address\"},{\"internalType\":\"contract OptimismMintableERC20Factory\",\"name\":\"optimismMintableERC20FactoryImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1ERC721Bridge\",\"name\":\"l1ERC721BridgeImpl\",\"type\":\"address\"},{\"internalType\":\"contract PortalSender\",\"name\":\"portalSenderImpl\",\"type\":\"address\"},{\"internalType\":\"contract SystemConfig\",\"name\":\"systemConfigImpl\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.ImplementationAddressConfig\",\"name\":\"implementationAddressConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"address\",\"name\":\"owner\",\"type\":\"address\"},{\"internalType\":\"uint256\",\"name\":\"overhead\",\"type\":\"uint256\"},{\"internalType\":\"uint256\",\"name\":\"scalar\",\"type\":\"uint256\"},{\"internalType\":\"bytes32\",\"name\":\"batcherHash\",\"type\":\"bytes32\"},{\"internalType\":\"uint64\",\"name\":\"gasLimit\",\"type\":\"uint64\"},{\"internalType\":\"address\",\"name\":\"unsafeBlockSigner\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.SystemConfigConfig\",\"name\":\"systemConfigConfig\",\"type\":\"tuple\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"currentStep\",\"outputs\":[{\"internalType\":\"uint8\",\"name\":\"\",\"type\":\"uint8\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"dynamicConfigSet\",\"outputs\":[{\"internalType\":\"bool\",\"name\":\"\",\"type\":\"bool\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"exit1\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"finalize\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"finalized\",\"outputs\":[{\"internalType\":\"bool\",\"name\":\"\",\"type\":\"bool\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[{\"components\":[{\"components\":[{\"internalType\":\"contract AddressManager\",\"name\":\"addressManager\",\"type\":\"address\"},{\"internalType\":\"contract ProxyAdmin\",\"name\":\"proxyAdmin\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"controller\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"finalOwner\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.GlobalConfig\",\"name\":\"globalConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"address\",\"name\":\"l2OutputOracleProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"optimismPortalProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1CrossDomainMessengerProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1StandardBridgeProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"optimismMintableERC20FactoryProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"l1ERC721BridgeProxy\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"systemConfigProxy\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.ProxyAddressConfig\",\"name\":\"proxyAddressConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"contract L2OutputOracle\",\"name\":\"l2OutputOracleImpl\",\"type\":\"address\"},{\"internalType\":\"contract OptimismPortal\",\"name\":\"optimismPortalImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1CrossDomainMessenger\",\"name\":\"l1CrossDomainMessengerImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1StandardBridge\",\"name\":\"l1StandardBridgeImpl\",\"type\":\"address\"},{\"internalType\":\"contract OptimismMintableERC20Factory\",\"name\":\"optimismMintableERC20FactoryImpl\",\"type\":\"address\"},{\"internalType\":\"contract L1ERC721Bridge\",\"name\":\"l1ERC721BridgeImpl\",\"type\":\"address\"},{\"internalType\":\"contract PortalSender\",\"name\":\"portalSenderImpl\",\"type\":\"address\"},{\"internalType\":\"contract SystemConfig\",\"name\":\"systemConfigImpl\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.ImplementationAddressConfig\",\"name\":\"implementationAddressConfig\",\"type\":\"tuple\"},{\"components\":[{\"internalType\":\"address\",\"name\":\"owner\",\"type\":\"address\"},{\"internalType\":\"uint256\",\"name\":\"overhead\",\"type\":\"uint256\"},{\"internalType\":\"uint256\",\"name\":\"scalar\",\"type\":\"uint256\"},{\"internalType\":\"bytes32\",\"name\":\"batcherHash\",\"type\":\"bytes32\"},{\"internalType\":\"uint64\",\"name\":\"gasLimit\",\"type\":\"uint64\"},{\"internalType\":\"address\",\"name\":\"unsafeBlockSigner\",\"type\":\"address\"}],\"internalType\":\"struct SystemDictator.SystemConfigConfig\",\"name\":\"systemConfigConfig\",\"type\":\"tuple\"}],\"internalType\":\"struct SystemDictator.DeployConfig\",\"name\":\"_config\",\"type\":\"tuple\"}],\"name\":\"initialize\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"l2OutputOracleDynamicConfig\",\"outputs\":[{\"internalType\":\"uint256\",\"name\":\"l2OutputOracleStartingBlockNumber\",\"type\":\"uint256\"},{\"internalType\":\"uint256\",\"name\":\"l2OutputOracleStartingTimestamp\",\"type\":\"uint256\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"oldL1CrossDomainMessenger\",\"outputs\":[{\"internalType\":\"address\",\"name\":\"\",\"type\":\"address\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"owner\",\"outputs\":[{\"internalType\":\"address\",\"name\":\"\",\"type\":\"address\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"renounceOwnership\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step1\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step2\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step3\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step4\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step5\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[],\"name\":\"step6\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[{\"internalType\":\"address\",\"name\":\"newOwner\",\"type\":\"address\"}],\"name\":\"transferOwnership\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[{\"components\":[{\"internalType\":\"uint256\",\"name\":\"l2OutputOracleStartingBlockNumber\",\"type\":\"uint256\"},{\"internalType\":\"uint256\",\"name\":\"l2OutputOracleStartingTimestamp\",\"type\":\"uint256\"}],\"internalType\":\"struct SystemDictator.L2OutputOracleDynamicConfig\",\"name\":\"_l2OutputOracleDynamicConfig\",\"type\":\"tuple\"}],\"name\":\"updateL2OutputOracleDynamicConfig\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"}],\"devdoc\":{\"kind\":\"dev\",\"methods\":{\"initialize(((address,address,address,address),(address,address,address,address,address,address,address),(address,address,address,address,address,address,address,address),(address,uint256,uint256,bytes32,uint64,address)))\":{\"params\":{\"_config\":\"System configuration.\"}},\"owner()\":{\"details\":\"Returns the address of the current owner.\"},\"renounceOwnership()\":{\"details\":\"Leaves the contract without owner. It will not be possible to call `onlyOwner` functions anymore. Can only be called by the current owner. NOTE: Renouncing ownership will leave the contract without an owner, thereby removing any functionality that is only available to the owner.\"},\"transferOwnership(address)\":{\"details\":\"Transfers ownership of the contract to a new account (`newOwner`). Can only be called by the current owner.\"},\"updateL2OutputOracleDynamicConfig((uint256,uint256))\":{\"params\":{\"_l2OutputOracleDynamicConfig\":\"Dynamic L2OutputOracle config.\"}}},\"title\":\"SystemDictator\",\"version\":1},\"userdoc\":{\"kind\":\"user\",\"methods\":{\"EXIT_1_NO_RETURN_STEP()\":{\"notice\":\"Step after which exit 1 can no longer be used.\"},\"PROXY_TRANSFER_STEP()\":{\"notice\":\"Step where proxy ownership is transferred.\"},\"config()\":{\"notice\":\"System configuration.\"},\"currentStep()\":{\"notice\":\"Current step;\"},\"dynamicConfigSet()\":{\"notice\":\"Whether or not dynamic config has been set.\"},\"exit1()\":{\"notice\":\"First exit point, can only be called before step 3 is executed.\"},\"finalize()\":{\"notice\":\"Tranfers admin ownership to the final owner.\"},\"finalized()\":{\"notice\":\"Whether or not the deployment is finalized.\"},\"l2OutputOracleDynamicConfig()\":{\"notice\":\"Dynamic configuration for the L2OutputOracle.\"},\"oldL1CrossDomainMessenger()\":{\"notice\":\"Address of the old L1CrossDomainMessenger implementation.\"},\"step1()\":{\"notice\":\"Configures the ProxyAdmin contract.\"},\"step2()\":{\"notice\":\"Pauses the system by shutting down the L1CrossDomainMessenger and setting the         deposit halt flag to tell the Sequencer's DTL to stop accepting deposits.\"},\"step3()\":{\"notice\":\"Removes deprecated addresses from the AddressManager.\"},\"step4()\":{\"notice\":\"Transfers system ownership to the ProxyAdmin.\"},\"step5()\":{\"notice\":\"Upgrades and initializes proxy contracts.\"},\"step6()\":{\"notice\":\"Unpauses the system at which point the system should be fully operational.\"},\"updateL2OutputOracleDynamicConfig((uint256,uint256))\":{\"notice\":\"Allows the owner to update dynamic L2OutputOracle config.\"}},\"notice\":\"The SystemDictator is responsible for coordinating the deployment of a full Bedrock         system. The SystemDictator is designed to support both fresh network deployments and         upgrades to existing pre-Bedrock systems.\",\"version\":1}},\"settings\":{\"compilationTarget\":{\"contracts/deployment/SystemDictator.sol\":\"SystemDictator\"},\"evmVersion\":\"london\",\"libraries\":{},\"metadata\":{\"bytecodeHash\":\"none\"},\"optimizer\":{\"enabled\":true,\"runs\":999999},\"remappings\":[\":@eth-optimism/contracts-periphery/=node_modules/@eth-optimism/contracts-periphery/contracts/\",\":@openzeppelin/=node_modules/@openzeppelin/\",\":@openzeppelin/contracts-upgradeable/=node_modules/@openzeppelin/contracts-upgradeable/\",\":@openzeppelin/contracts/=node_modules/@openzeppelin/contracts/\",\":@rari-capital/=node_modules/@rari-capital/\",\":@rari-capital/solmate/=node_modules/@rari-capital/solmate/\",\":ds-test/=node_modules/ds-test/src/\",\":forge-std/=node_modules/forge-std/src/\"]},\"sources\":{\"contracts/L1/L1CrossDomainMessenger.sol\":{\"keccak256\":\"0x73c9ef994396ea551b56ce6c96d7bff8dc825b22e6f31e7b10e38d2c38be2373\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://2e713ca338ff223b4076a25554d4ba72ffeca4ed0bb161b170e4ed3ab0724e9f\",\"dweb:/ipfs/QmS1tFSzbcTdkPUeP6dMxrvDSna5JYrK1rTbukfzcU4MbM\"]},\"contracts/L1/L1ERC721Bridge.sol\":{\"keccak256\":\"0x9a410440dad639aa9b8facb8d99ad5a74e868fa20d75274f545a539cfd965745\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://dd46b6bb8428d2e17ff15664a46e23b9e93188520b047dd406800792dd928118\",\"dweb:/ipfs/QmYode1mDZdLj7UdA8QqD8dDQFgst52DeFh8kn33njZJqh\"]},\"contracts/L1/L1StandardBridge.sol\":{\"keccak256\":\"0x19d06e31748c911064f6ee2b5d729468912cb2d055c1d847f266502f7857be22\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://6bde1feaf637ea86ecd88605f312e4e85fe2a87d225859e2fbb183af8c283551\",\"dweb:/ipfs/QmVrTipEETDCat52cCYestK3AvUj1KrV9t2HrXJcMq58Tp\"]},\"contracts/L1/L2OutputOracle.sol\":{\"keccak256\":\"0x50b5b6947fb12b1d49282edacfb83b25e99850bba92300e264ad87067616aa39\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://686d313f4c292f0dac12372ef4b26a44e90fac169044b4d30e8fbcb4a838a269\",\"dweb:/ipfs/QmYrqqKjBMPgWUNp9UcQ1f1zMVX1NCocBd3KDTugUvnXqs\"]},\"contracts/L1/OptimismPortal.sol\":{\"keccak256\":\"0xc9fa6b522c76e6f8de364b4e6f58ebcd073a47b37fb343e444687429bbc2b49e\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b3ee3b286e2f5930ee0ec98864c6f51b0d33820678760b668689487a67771f48\",\"dweb:/ipfs/Qmb1KbJXBGzohdyzw5hsMkaEVtPjEEW5BdvDRAUN9Fv7Vy\"]},\"contracts/L1/ResourceMetering.sol\":{\"keccak256\":\"0x23045734df51c2f237d0def7f5e6dda69304bb3cfb554c6c1e934c4c8b07cecc\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://e6f84a34b842702c3ab4b06da997903046556f3f809716763a351b9f379b7e07\",\"dweb:/ipfs/QmQPyWcbuAMhghZdGSPwSBQdQgZi5hk6Bdg4s7qxaHpcMw\"]},\"contracts/L1/SystemConfig.sol\":{\"keccak256\":\"0xedc693eef1f791d8e4bf8e607481b82ab334b9eddc66e3a35f0ab3a7da6035d1\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://fe90c341ae0410d56f8ccf75b26aed89419558897fb815ff1133d0a1d726e810\",\"dweb:/ipfs/QmafjYWpfgPauDCKj2w8NTwa91HUQKgjYj5XjK5rPSjMsG\"]},\"contracts/L2/L2ERC721Bridge.sol\":{\"keccak256\":\"0x813a40a35d62f9cb1187becf870153be66f264e91966d8e0a4bd95135889c80c\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b561243bc68bc391c4552586a7e5c5157507e012f6716cd9304302aec56f8bbd\",\"dweb:/ipfs/QmSarqR6egJxW7L7KrWdWy4qn2MV1npw7NzqmQQbBAHxz7\"]},\"contracts/deployment/PortalSender.sol\":{\"keccak256\":\"0xe60d88036d9aa8f8e80a4108ee30ad987564ad996af87a79ba92f6ca35852881\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://a4be187cd3d5926592491f722dfa1b1c41a8f4f1abdc8cf3883964f70acb0a44\",\"dweb:/ipfs/QmYsAK4YcRHmPoex2eX2x1r6N76AMk3rdBHHmp6gUT73Fa\"]},\"contracts/deployment/SystemDictator.sol\":{\"keccak256\":\"0x7ffcfb6bff9df395a113579141d762367e3144c058e6cb3abfec8ccc91e14c5a\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://4cf872132f3937d4a830e93bc7680f5749cccc0a0c0dd461b7782a922b9ab0d4\",\"dweb:/ipfs/QmWbNRKsBLD998mYvGD5cLKVmkdK27SXYYCByocin5oyoe\"]},\"contracts/legacy/AddressManager.sol\":{\"keccak256\":\"0x7a353d4c92eed32665fd2f0023c55054901293cf7a6e14ca108229d87c047b10\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b92ba23601d1951271729a20db931a45639d9376b7c8e2705c23dc360833715a\",\"dweb:/ipfs/QmTKwYLNYYBKZpd31VNBANmguVUwFZifSg7joHSgLZjZCj\"]},\"contracts/legacy/L1ChugSplashProxy.sol\":{\"keccak256\":\"0x6ae7bf6ea9ac0e3511ee4cb15d946589da0dd35098ff762c0b2903d064f24875\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://02028d86c1d38563021d5ead5282271ccdf1c03a24f2eaee056ae2157f0554ee\",\"dweb:/ipfs/QmW9urkBBRTmZ8FjL5Y5zWbdnRhPDruxCCLnpr2CTkozKM\"]},\"contracts/libraries/Arithmetic.sol\":{\"keccak256\":\"0xc8858039f87e48e6f18c1af8bc0b03e57cfef564acddfd06e4d91e3db7ac5ed6\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://2fc79af1e844aa6dc1c68067bfe1d359df8d4e9a3e8881afb3bcfcbf68071714\",\"dweb:/ipfs/QmcNC4k8zmvwj4kZizSenTiWbx2DJQPbwqXXLF4iMbkRVD\"]},\"contracts/libraries/Burn.sol\":{\"keccak256\":\"0x54233b226ba6919dc46d438bc790108d8f855001002a1b9c3c37aed7a83e5f3f\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://4051a4baca357a9191a6c9e3aa1593a17b69dd7915966e23e4cb269e9c1d9ed4\",\"dweb:/ipfs/QmadKjGKvxm53abVHQdsxrXBc8e9jXywu6vvhkAgjsx59J\"]},\"contracts/libraries/Bytes.sol\":{\"keccak256\":\"0x7aca6593fadf438ee9cd090d8fdc8f94a5202a2eb7f764c9a86f207712d87a48\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://aac32157885c5a08bd0bc7dcd5511f66db12bb20d0c263dd7be9f58b91538fc1\",\"dweb:/ipfs/Qmb1iG11Z53yt9wNbGsuTvoydJXFosDDpWwRSADKyqiCjw\"]},\"contracts/libraries/Constants.sol\":{\"keccak256\":\"0x50a2b69a5e9246945ee1588278753feae90285ff7e675369f0cc5b64acea333c\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://75153213766bd271cce59d5284a4a0d2f6283e3c6a9dc31b8ce20a3a4c28c066\",\"dweb:/ipfs/QmcbpwMLYuKUPahVYJ3W7sfntQgHk9RTuR2DUzFMrfPMQr\"]},\"contracts/libraries/Encoding.sol\":{\"keccak256\":\"0x170cd0821cec37976a6391da20f1dcdcb1ea9ffada96ccd3c57ff2e357589418\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://f18156216c1f9457c2e032a812ad70f2babbc5b89997554ff014d64c483fb2ff\",\"dweb:/ipfs/Qmc5rjMaBFn3jV7XqDrEvRbmatQvJxeVJYA5B5rdcKPkcJ\"]},\"contracts/libraries/Hashing.sol\":{\"keccak256\":\"0x5d4988987899306d2785b3de068194a39f8e829a7864762a07a0016db5189f5e\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://6746ed0d26d603568818cc52a29d0209effd69f7e55bd0017a6b91bd6cf319fe\",\"dweb:/ipfs/QmPebCmCELMBRtDDxt5ziEPfRXUh6tfm2qJdwz3iyrDdWN\"]},\"contracts/libraries/Predeploys.sol\":{\"keccak256\":\"0xbf404ace304548f9824262f3efa079191f4fe9d475518c45f37626f3596a6c4b\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://43122a0cd40564a776ea49186c4a3c9bf1a0fc74a542d850ff0bacfb072d013f\",\"dweb:/ipfs/QmWkwNAywCZGhTrXtNbkRq3gzdm9MRBPiRVVtBhH9sHyAk\"]},\"contracts/libraries/SafeCall.sol\":{\"keccak256\":\"0xbb0621c028c18e9d5a54cf1a8136cf2e77f161de48aeb8d911e230f6b280c9ed\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://924ecc629c7642bc19e2f8a390f1b946d22862c8889453da681b5bc1a45d7703\",\"dweb:/ipfs/QmbNknQ8pzssXDXGVjXxzZ8zh1YnNCWtRJVepiM1TnqoqQ\"]},\"contracts/libraries/Types.sol\":{\"keccak256\":\"0x822e7c7ac5d45eac20551ba602d8bff3d22db3538fb32be42c1ab12d7bfca110\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://970823854723de895ca7a24d34269e886a20824c75f706cb41541893b7c78838\",\"dweb:/ipfs/QmSQbEECeTxgUT65pK7Czc4ovAv2FdQ9EHyi5Z8mZgNkXc\"]},\"contracts/libraries/rlp/RLPReader.sol\":{\"keccak256\":\"0x50763c897f0fe84cb067985ec4d7c5721ce9004a69cf0327f96f8982ee8ca412\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://603af847b43933b075f9aac3a7b3cd65041ffe6d732826695458ca9575e1a809\",\"dweb:/ipfs/QmfByFEaCxT9y1VtqoLi5EsXZ9ihkPfj6g5x7pcPoQ7q2K\"]},\"contracts/libraries/rlp/RLPWriter.sol\":{\"keccak256\":\"0x5aa9d21c5b41c9786f23153f819d561ae809a1d55c7b0d423dfeafdfbacedc78\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://921c44e6a0982b9a4011900fda1bda2c06b7a85894967de98b407a83fe9f90c0\",\"dweb:/ipfs/QmSsHLKDUQ82kpKdqB6VntVGKuPDb4W9VdotsubuqWBzio\"]},\"contracts/libraries/trie/MerkleTrie.sol\":{\"keccak256\":\"0xd27fc945d6dd2821636d840f3766f817823c8e9fbfdb87c2da7c73e4292d2f7f\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://497cec37d09ebcdc8d1cccac608a4a0b9b9d83eac6cc7c9e8b73c4c6644e2209\",\"dweb:/ipfs/QmUYMsCcgU6epspvKV9Y6anHyyMb4hd1xVzUZheBY9mfG7\"]},\"contracts/libraries/trie/SecureMerkleTrie.sol\":{\"keccak256\":\"0x61b03a03779cb1f75cea3b88af16fdfd10629029b4b2d6be5238e71af8ef1b5f\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://1212951af291c0e033a7119b42de5cad6b6bf32da26777da7c2419e76fa8f314\",\"dweb:/ipfs/QmYbnifDmL6UkP9D1X9GaNLR1Q8wYwmDNeYqkJ71bycaE5\"]},\"contracts/universal/CrossDomainMessenger.sol\":{\"keccak256\":\"0x5828db4940fde4c8d531c6b7c64fd0a3e0c7746fd9c6700830cd8fc83a8a9024\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://a60d97f9c7c4a957a01d2338cb5acea863806a972185c8ac474be6b4717a8d64\",\"dweb:/ipfs/QmZUEybu7vLHvcZXKSiN1PRgxo4WayDuLdA3eqpvZkRfCb\"]},\"contracts/universal/ERC721Bridge.sol\":{\"keccak256\":\"0xb47389fbec63e85b2d04fce538fe1b8e048278d631729458b70e32a31971c092\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://7133f38e3d8d1911738057b1d4523989abd7cd029797b1d3b59cda29d42e9704\",\"dweb:/ipfs/QmUN31CLssESHrBwWA3WYP5L2xESo9Q4aq2Exua1e8UtUW\"]},\"contracts/universal/IOptimismMintableERC20.sol\":{\"keccak256\":\"0xaafd7b92930a022efa765be7c6c693e36e005c73e7486b37244d7e63cd4ac432\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://a9fa58ca28cd600fd9913495b65cf52cada126e76b9ceb37894ff7993b77d791\",\"dweb:/ipfs/QmcSDqAxfY4nQrcEcUp3AQcazqQTfqBXZeocUt9wsAiA6x\"]},\"contracts/universal/IOptimismMintableERC721.sol\":{\"keccak256\":\"0xf1a3dd4452df8882a65a31c5e2e8de7872b08cf078be7a5a7da51e6f75c53ad3\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b09a2560cae35ca4789fe1ff5edb2bae9fa7dcda115a55f7ccdcc974a2e37526\",\"dweb:/ipfs/QmPQeTvrJ4SJpng5VGZNMf1u85NWxrdus4gGn8xYkHddKM\"]},\"contracts/universal/OptimismMintableERC20.sol\":{\"keccak256\":\"0xe77679aa54e918825fc2332f528085cd344874809853475e1502afe4b46de4e9\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://af64115cc7aa940c74fb9129fa01c85bb05e70e7b148c1dcf263789de1138479\",\"dweb:/ipfs/QmbnTbs4jbCsrhbfLDjnzAz5h47LsRHn9TJoPdJwRuQV3S\"]},\"contracts/universal/OptimismMintableERC20Factory.sol\":{\"keccak256\":\"0x5af8205710a0b4178b73e0f8522a05c901f64899601830ac97a37dff5cbdafc7\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://245fd697ff17852d0278d29aa07ff3e98f6aad2d3a66eac5f60fc3e827f64edc\",\"dweb:/ipfs/QmSzWJ5otxhq8quoCifvRqZMuCswCqTbr6MW7VjMGnHxoq\"]},\"contracts/universal/Proxy.sol\":{\"keccak256\":\"0xfa08635f1866139673ac4fe7b07330f752f93800075b895d8fcb8484f4a3f753\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://8f2247604d527f560edbb851c43b6c16b37e34972ddb305e16dd73623b8288cd\",\"dweb:/ipfs/QmfM8sLAZrxrnqyRdt1XJ5LyJh4wKbeEqk3VkvxG7BDqFj\"]},\"contracts/universal/ProxyAdmin.sol\":{\"keccak256\":\"0x8a0f0772b00376ae8889308a08df9cca3065c0e4847cf9c94c4b02188949160b\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://c36251552d07d595f7b44ee388674542a126ebde8f9504ab4890bce5e112485b\",\"dweb:/ipfs/QmNdiWPgVT3jAaTs8SAVjJzXS4zos3b2jmJf3X7NRnEESr\"]},\"contracts/universal/Semver.sol\":{\"keccak256\":\"0x979b13465de4996a1105850abbf48abe7f71d5e18a8d4af318597ee14c165fdf\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://d0881ed7d8371fe1c12b931334e107746fa97d9ecd6aa3c0fca0c0db8581474e\",\"dweb:/ipfs/QmQ9UFwZgWkyFAHrzTtS7m6rghZ8nP9QybEuJ5y9vux5Gv\"]},\"contracts/universal/StandardBridge.sol\":{\"keccak256\":\"0x3751c9d342180b37f06c1a48366e785d424bb5bc43ee7468dd7062089808ddb2\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://5d2aecf267e340472f634af99bfec816472b61c2d99ac6e4ea48424bb486b2e1\",\"dweb:/ipfs/QmbRG1gTEy3h55reCb7ne7DWjR1zvtj7Yv9dJaPzCkLRbr\"]},\"contracts/vendor/AddressAliasHelper.sol\":{\"keccak256\":\"0x6ecb83b4ec80fbe49c22f4f95d90482de64660ef5d422a19f4d4b04df31c1237\",\"license\":\"Apache-2.0\",\"urls\":[\"bzz-raw://1d0885be6e473962f9a0622176a22300165ac0cc1a1d7f2e22b11c3d656ace88\",\"dweb:/ipfs/QmPRa3KmRpXW5P9ykveKRDgYN5zYo4cYLAYSnoqHX3KnXR\"]},\"node_modules/@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol\":{\"keccak256\":\"0x247c62047745915c0af6b955470a72d1696ebad4352d7d3011aef1a2463cd888\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://d7fc8396619de513c96b6e00301b88dd790e83542aab918425633a5f7297a15a\",\"dweb:/ipfs/QmXbP4kiZyp7guuS7xe8KaybnwkRPGrBc2Kbi3vhcTfpxb\"]},\"node_modules/@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol\":{\"keccak256\":\"0x0203dcadc5737d9ef2c211d6fa15d18ebc3b30dfa51903b64870b01a062b0b4e\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://6eb2fd1e9894dbe778f4b8131adecebe570689e63cf892f4e21257bfe1252497\",\"dweb:/ipfs/QmXgUGNfZvrn6N2miv3nooSs7Jm34A41qz94fu2GtDFcx8\"]},\"node_modules/@openzeppelin/contracts-upgradeable/security/PausableUpgradeable.sol\":{\"keccak256\":\"0x40c636b4572ff5f1dc50cf22097e93c0723ee14eff87e99ac2b02636eeca1250\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://9c7d1f5e15633ab912b74c2f57e24559e66b03232300d4b27ff0f25bc452ecad\",\"dweb:/ipfs/QmYTJkc1cntYkKQ1Tu11nBcJLakiy93Tjytc4XHELo4GmR\"]},\"node_modules/@openzeppelin/contracts-upgradeable/security/ReentrancyGuardUpgradeable.sol\":{\"keccak256\":\"0x8cc03c5ac17e8a7396e487cda41fc1f1dfdb91db7d528e6da84bee3b6dd7e167\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://607818f1b44548c2d8268176f73cdb290e1faed971b1061930d92698366e2a11\",\"dweb:/ipfs/QmQibMe3r5no95b6q7isGT5R75V8xSofWEDLXzp95b7LgZ\"]},\"node_modules/@openzeppelin/contracts-upgradeable/utils/AddressUpgradeable.sol\":{\"keccak256\":\"0x611aa3f23e59cfdd1863c536776407b3e33d695152a266fa7cfb34440a29a8a3\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://9b4b2110b7f2b3eb32951bc08046fa90feccffa594e1176cb91cdfb0e94726b4\",\"dweb:/ipfs/QmSxLwYjicf9zWFuieRc8WQwE4FisA1Um5jp1iSa731TGt\"]},\"node_modules/@openzeppelin/contracts-upgradeable/utils/ContextUpgradeable.sol\":{\"keccak256\":\"0x963ea7f0b48b032eef72fe3a7582edf78408d6f834115b9feadd673a4d5bd149\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://d6520943ea55fdf5f0bafb39ed909f64de17051bc954ff3e88c9e5621412c79c\",\"dweb:/ipfs/QmWZ4rAKTQbNG2HxGs46AcTXShsVytKeLs7CUCdCSv5N7a\"]},\"node_modules/@openzeppelin/contracts/access/Ownable.sol\":{\"keccak256\":\"0xa94b34880e3c1b0b931662cb1c09e5dfa6662f31cba80e07c5ee71cd135c9673\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://40fb1b5102468f783961d0af743f91b9980cf66b50d1d12009f6bb1869cea4d2\",\"dweb:/ipfs/QmYqEbJML4jB1GHbzD4cUZDtJg5wVwNm3vDJq1GbyDus8y\"]},\"node_modules/@openzeppelin/contracts/proxy/utils/Initializable.sol\":{\"keccak256\":\"0x2a21b14ff90012878752f230d3ffd5c3405e5938d06c97a7d89c0a64561d0d66\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://3313a8f9bb1f9476857c9050067b31982bf2140b83d84f3bc0cec1f62bbe947f\",\"dweb:/ipfs/Qma17Pk8NRe7aB4UD3jjVxk7nSFaov3eQyv86hcyqkwJRV\"]},\"node_modules/@openzeppelin/contracts/token/ERC20/ERC20.sol\":{\"keccak256\":\"0x24b04b8aacaaf1a4a0719117b29c9c3647b1f479c5ac2a60f5ff1bb6d839c238\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://43e46da9d9f49741ecd876a269e71bc7494058d7a8e9478429998adb5bc3eaa0\",\"dweb:/ipfs/QmUtp4cqzf22C5rJ76AabKADquGWcjsc33yjYXxXC4sDvy\"]},\"node_modules/@openzeppelin/contracts/token/ERC20/IERC20.sol\":{\"keccak256\":\"0x9750c6b834f7b43000631af5cc30001c5f547b3ceb3635488f140f60e897ea6b\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://5a7d5b1ef5d8d5889ad2ed89d8619c09383b80b72ab226e0fe7bde1636481e34\",\"dweb:/ipfs/QmebXWgtEfumQGBdVeM6c71McLixYXQP5Bk6kKXuoY4Bmr\"]},\"node_modules/@openzeppelin/contracts/token/ERC20/extensions/IERC20Metadata.sol\":{\"keccak256\":\"0x8de418a5503946cabe331f35fe242d3201a73f67f77aaeb7110acb1f30423aca\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://5a376d3dda2cb70536c0a45c208b29b34ac560c4cb4f513a42079f96ba47d2dd\",\"dweb:/ipfs/QmZQg6gn1sUpM8wHzwNvSnihumUCAhxD119MpXeKp8B9s8\"]},\"node_modules/@openzeppelin/contracts/token/ERC20/extensions/draft-IERC20Permit.sol\":{\"keccak256\":\"0xf41ca991f30855bf80ffd11e9347856a517b977f0a6c2d52e6421a99b7840329\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b2717fd2bdac99daa960a6de500754ea1b932093c946388c381da48658234b95\",\"dweb:/ipfs/QmP6QVMn6UeA3ByahyJbYQr5M6coHKBKsf3ySZSfbyA8R7\"]},\"node_modules/@openzeppelin/contracts/token/ERC20/utils/SafeERC20.sol\":{\"keccak256\":\"0x032807210d1d7d218963d7355d62e021a84bf1b3339f4f50be2f63b53cccaf29\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://11756f42121f6541a35a8339ea899ee7514cfaa2e6d740625fcc844419296aa6\",\"dweb:/ipfs/QmekMuk6BY4DAjzeXr4MSbKdgoqqsZnA8JPtuyWc6CwXHf\"]},\"node_modules/@openzeppelin/contracts/token/ERC721/IERC721.sol\":{\"keccak256\":\"0xed6a749c5373af398105ce6ee3ac4763aa450ea7285d268c85d9eeca809cdb1f\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://20a97f891d06f0fe91560ea1a142aaa26fdd22bed1b51606b7d48f670deeb50f\",\"dweb:/ipfs/QmTbCtZKChpaX5H2iRiTDMcSz29GSLCpTCDgJpcMR4wg8x\"]},\"node_modules/@openzeppelin/contracts/token/ERC721/extensions/IERC721Enumerable.sol\":{\"keccak256\":\"0xd1556954440b31c97a142c6ba07d5cade45f96fafd52091d33a14ebe365aecbf\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://26fef835622b46a5ba08b3ef6b46a22e94b5f285d0f0fb66b703bd30217d2c34\",\"dweb:/ipfs/QmZ548qdwfL1qF7aXz3xh1GCdTiST81kGGuKRqVUfYmPZR\"]},\"node_modules/@openzeppelin/contracts/utils/Address.sol\":{\"keccak256\":\"0xd6153ce99bcdcce22b124f755e72553295be6abcd63804cfdffceb188b8bef10\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://35c47bece3c03caaa07fab37dd2bb3413bfbca20db7bd9895024390e0a469487\",\"dweb:/ipfs/QmPGWT2x3QHcKxqe6gRmAkdakhbaRgx3DLzcakHz5M4eXG\"]},\"node_modules/@openzeppelin/contracts/utils/Context.sol\":{\"keccak256\":\"0xe2e337e6dde9ef6b680e07338c493ebea1b5fd09b43424112868e9cc1706bca7\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://6df0ddf21ce9f58271bdfaa85cde98b200ef242a05a3f85c2bc10a8294800a92\",\"dweb:/ipfs/QmRK2Y5Yc6BK7tGKkgsgn3aJEQGi5aakeSPZvS65PV8Xp3\"]},\"node_modules/@openzeppelin/contracts/utils/Strings.sol\":{\"keccak256\":\"0xaf159a8b1923ad2a26d516089bceca9bdeaeacd04be50983ea00ba63070f08a3\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://6f2cf1c531122bc7ca96b8c8db6a60deae60441e5223065e792553d4849b5638\",\"dweb:/ipfs/QmPBdJmBBABMDCfyDjCbdxgiqRavgiSL88SYPGibgbPas9\"]},\"node_modules/@openzeppelin/contracts/utils/introspection/ERC165Checker.sol\":{\"keccak256\":\"0xc65c83c1039508fa7a42a09a3c6a32babd1c438ba4dbb23581255e784b5d5eed\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://a1b3b38db0f76429db899909025e534c366415e9ea8b5ddc4c8901e6a7fc1461\",\"dweb:/ipfs/QmYv1KxyHjLEky9JWNSsSfpGJbiCxFyzVFgTwQKpiqYGUg\"]},\"node_modules/@openzeppelin/contracts/utils/introspection/IERC165.sol\":{\"keccak256\":\"0x447a5f3ddc18419d41ff92b3773fb86471b1db25773e07f877f548918a185bf1\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://be161e54f24e5c6fae81a12db1a8ae87bc5ae1b0ddc805d82a1440a68455088f\",\"dweb:/ipfs/QmP7C3CHdY9urF4dEMb9wmsp1wMxHF6nhA2yQE5SKiPAdy\"]},\"node_modules/@openzeppelin/contracts/utils/math/Math.sol\":{\"keccak256\":\"0xd15c3e400531f00203839159b2b8e7209c5158b35618f570c695b7e47f12e9f0\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://b600b852e0597aa69989cc263111f02097e2827edc1bdc70306303e3af5e9929\",\"dweb:/ipfs/QmU4WfM28A1nDqghuuGeFmN3CnVrk6opWtiF65K4vhFPeC\"]},\"node_modules/@openzeppelin/contracts/utils/math/SignedMath.sol\":{\"keccak256\":\"0xb3ebde1c8d27576db912d87c3560dab14adfb9cd001be95890ec4ba035e652e7\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://a709421c4f5d4677db8216055d2d4dac96a613efdb08178a9f7041f0c5cef689\",\"dweb:/ipfs/QmYs2rStvVLDnSJs8HgaMD1ABwoKKWdiVbQyNfLfFWTjTy\"]},\"node_modules/@rari-capital/solmate/src/utils/FixedPointMathLib.sol\":{\"keccak256\":\"0x622fcd8a49e132df5ec7651cc6ae3aaf0cf59bdcd67a9a804a1b9e2485113b7d\",\"license\":\"MIT\",\"urls\":[\"bzz-raw://af77088eb606427d4c55e578984a615779c86bc30646a20f7bb27299ba390f7c\",\"dweb:/ipfs/QmZGQdhdQDtHc7gZXWrKXgA3govc74X8U63BiWhPQK3mK8\"]}},\"version\":1}",
  "bytecode": "[encoded data, 26428 characters]",
  "deployedBytecode": "[encoded data, 26364 characters]",
  "devdoc": {
    "version": 1,
    "kind": "dev",
    "methods": {
      "initialize(((address,address,address,address),(address,address,address,address,address,address,address),(address,address,address,address,address,address,address,address),(address,uint256,uint256,bytes32,uint64,address)))": {
        "params": {
          "_config": "System configuration."
        }
      },
      "owner()": {
        "details": "Returns the address of the current owner."
      },
      "renounceOwnership()": {
        "details": "Leaves the contract without owner. It will not be possible to call `onlyOwner` functions anymore. Can only be called by the current owner. NOTE: Renouncing ownership will leave the contract without an owner, thereby removing any functionality that is only available to the owner."
      },
      "transferOwnership(address)": {
        "details": "Transfers ownership of the contract to a new account (`newOwner`). Can only be called by the current owner."
      },
      "updateL2OutputOracleDynamicConfig((uint256,uint256))": {
        "params": {
          "_l2OutputOracleDynamicConfig": "Dynamic L2OutputOracle config."
        }
      }
    },
    "title": "SystemDictator"
  },
  "userdoc": {
    "version": 1,
    "kind": "user",
    "methods": {
      "EXIT_1_NO_RETURN_STEP()": {
        "notice": "Step after which exit 1 can no longer be used."
      },
      "PROXY_TRANSFER_STEP()": {
        "notice": "Step where proxy ownership is transferred."
      },
      "config()": {
        "notice": "System configuration."
      },
      "currentStep()": {
        "notice": "Current step;"
      },
      "dynamicConfigSet()": {
        "notice": "Whether or not dynamic config has been set."
      },
      "exit1()": {
        "notice": "First exit point, can only be called before step 3 is executed."
      },
      "finalize()": {
        "notice": "Tranfers admin ownership to the final owner."
      },
      "finalized()": {
        "notice": "Whether or not the deployment is finalized."
      },
      "l2OutputOracleDynamicConfig()": {
        "notice": "Dynamic configuration for the L2OutputOracle."
      },
      "oldL1CrossDomainMessenger()": {
        "notice": "Address of the old L1CrossDomainMessenger implementation."
      },
      "step1()": {
        "notice": "Configures the ProxyAdmin contract."
      },
      "step2()": {
        "notice": "Pauses the system by shutting down the L1CrossDomainMessenger and setting the         deposit halt flag to tell the Sequencer's DTL to stop accepting deposits."
      },
      "step3()": {
        "notice": "Removes deprecated addresses from the AddressManager."
      },
      "step4()": {
        "notice": "Transfers system ownership to the ProxyAdmin."
      },
      "step5()": {
        "notice": "Upgrades and initializes proxy contracts."
      },
      "step6()": {
        "notice": "Unpauses the system at which point the system should be fully operational."
      },
      "updateL2OutputOracleDynamicConfig((uint256,uint256))": {
        "notice": "Allows the owner to update dynamic L2OutputOracle config."
      }
    },
    "notice": "The SystemDictator is responsible for coordinating the deployment of a full Bedrock         system. The SystemDictator is designed to support both fresh network deployments and         upgrades to existing pre-Bedrock systems."
  },
  "storageLayout": {
    "storage": [
      {
        "astId": 37941,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "_initialized",
        "offset": 0,
        "slot": "0",
        "type": "t_uint8"
      },
      {
        "astId": 37944,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "_initializing",
        "offset": 1,
        "slot": "0",
        "type": "t_bool"
      },
      {
        "astId": 38555,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "__gap",
        "offset": 0,
        "slot": "1",
        "type": "t_array(t_uint256)50_storage"
      },
      {
        "astId": 37813,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "_owner",
        "offset": 0,
        "slot": "51",
        "type": "t_address"
      },
      {
        "astId": 37933,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "__gap",
        "offset": 0,
        "slot": "52",
        "type": "t_array(t_uint256)49_storage"
      },
      {
        "astId": 3580,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "config",
        "offset": 0,
        "slot": "101",
        "type": "t_struct(DeployConfig)3568_storage"
      },
      {
        "astId": 3584,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "l2OutputOracleDynamicConfig",
        "offset": 0,
        "slot": "125",
        "type": "t_struct(L2OutputOracleDynamicConfig)3542_storage"
      },
      {
        "astId": 3587,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "currentStep",
        "offset": 0,
        "slot": "127",
        "type": "t_uint8"
      },
      {
        "astId": 3590,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "dynamicConfigSet",
        "offset": 1,
        "slot": "127",
        "type": "t_bool"
      },
      {
        "astId": 3593,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "finalized",
        "offset": 2,
        "slot": "127",
        "type": "t_bool"
      },
      {
        "astId": 3596,
        "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
        "label": "oldL1CrossDomainMessenger",
        "offset": 3,
        "slot": "127",
        "type": "t_address"
      }
    ],
    "types": {
      "t_address": {
        "encoding": "inplace",
        "label": "address",
        "numberOfBytes": "20"
      },
      "t_array(t_uint256)49_storage": {
        "encoding": "inplace",
        "label": "uint256[49]",
        "numberOfBytes": "1568",
        "base": "t_uint256"
      },
      "t_array(t_uint256)50_storage": {
        "encoding": "inplace",
        "label": "uint256[50]",
        "numberOfBytes": "1600",
        "base": "t_uint256"
      },
      "t_bool": {
        "encoding": "inplace",
        "label": "bool",
        "numberOfBytes": "1"
      },
      "t_bytes32": {
        "encoding": "inplace",
        "label": "bytes32",
        "numberOfBytes": "32"
      },
      "t_contract(AddressManager)5611": {
        "encoding": "inplace",
        "label": "contract AddressManager",
        "numberOfBytes": "20"
      },
      "t_contract(L1CrossDomainMessenger)135": {
        "encoding": "inplace",
        "label": "contract L1CrossDomainMessenger",
        "numberOfBytes": "20"
      },
      "t_contract(L1ERC721Bridge)335": {
        "encoding": "inplace",
        "label": "contract L1ERC721Bridge",
        "numberOfBytes": "20"
      },
      "t_contract(L1StandardBridge)663": {
        "encoding": "inplace",
        "label": "contract L1StandardBridge",
        "numberOfBytes": "20"
      },
      "t_contract(L2OutputOracle)1088": {
        "encoding": "inplace",
        "label": "contract L2OutputOracle",
        "numberOfBytes": "20"
      },
      "t_contract(OptimismMintableERC20Factory)35962": {
        "encoding": "inplace",
        "label": "contract OptimismMintableERC20Factory",
        "numberOfBytes": "20"
      },
      "t_contract(OptimismPortal)1639": {
        "encoding": "inplace",
        "label": "contract OptimismPortal",
        "numberOfBytes": "20"
      },
      "t_contract(PortalSender)3455": {
        "encoding": "inplace",
        "label": "contract PortalSender",
        "numberOfBytes": "20"
      },
      "t_contract(ProxyAdmin)37050": {
        "encoding": "inplace",
        "label": "contract ProxyAdmin",
        "numberOfBytes": "20"
      },
      "t_contract(SystemConfig)2199": {
        "encoding": "inplace",
        "label": "contract SystemConfig",
        "numberOfBytes": "20"
      },
      "t_struct(DeployConfig)3568_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.DeployConfig",
        "numberOfBytes": "768",
        "members": [
          {
            "astId": 3558,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "globalConfig",
            "offset": 0,
            "slot": "0",
            "type": "t_struct(GlobalConfig)3497_storage"
          },
          {
            "astId": 3561,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "proxyAddressConfig",
            "offset": 0,
            "slot": "4",
            "type": "t_struct(ProxyAddressConfig)3512_storage"
          },
          {
            "astId": 3564,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "implementationAddressConfig",
            "offset": 0,
            "slot": "11",
            "type": "t_struct(ImplementationAddressConfig)3537_storage"
          },
          {
            "astId": 3567,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "systemConfigConfig",
            "offset": 0,
            "slot": "19",
            "type": "t_struct(SystemConfigConfig)3555_storage"
          }
        ]
      },
      "t_struct(GlobalConfig)3497_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.GlobalConfig",
        "numberOfBytes": "128",
        "members": [
          {
            "astId": 3489,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "addressManager",
            "offset": 0,
            "slot": "0",
            "type": "t_contract(AddressManager)5611"
          },
          {
            "astId": 3492,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "proxyAdmin",
            "offset": 0,
            "slot": "1",
            "type": "t_contract(ProxyAdmin)37050"
          },
          {
            "astId": 3494,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "controller",
            "offset": 0,
            "slot": "2",
            "type": "t_address"
          },
          {
            "astId": 3496,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "finalOwner",
            "offset": 0,
            "slot": "3",
            "type": "t_address"
          }
        ]
      },
      "t_struct(ImplementationAddressConfig)3537_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.ImplementationAddressConfig",
        "numberOfBytes": "256",
        "members": [
          {
            "astId": 3515,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l2OutputOracleImpl",
            "offset": 0,
            "slot": "0",
            "type": "t_contract(L2OutputOracle)1088"
          },
          {
            "astId": 3518,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "optimismPortalImpl",
            "offset": 0,
            "slot": "1",
            "type": "t_contract(OptimismPortal)1639"
          },
          {
            "astId": 3521,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1CrossDomainMessengerImpl",
            "offset": 0,
            "slot": "2",
            "type": "t_contract(L1CrossDomainMessenger)135"
          },
          {
            "astId": 3524,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1StandardBridgeImpl",
            "offset": 0,
            "slot": "3",
            "type": "t_contract(L1StandardBridge)663"
          },
          {
            "astId": 3527,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "optimismMintableERC20FactoryImpl",
            "offset": 0,
            "slot": "4",
            "type": "t_contract(OptimismMintableERC20Factory)35962"
          },
          {
            "astId": 3530,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1ERC721BridgeImpl",
            "offset": 0,
            "slot": "5",
            "type": "t_contract(L1ERC721Bridge)335"
          },
          {
            "astId": 3533,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "portalSenderImpl",
            "offset": 0,
            "slot": "6",
            "type": "t_contract(PortalSender)3455"
          },
          {
            "astId": 3536,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "systemConfigImpl",
            "offset": 0,
            "slot": "7",
            "type": "t_contract(SystemConfig)2199"
          }
        ]
      },
      "t_struct(L2OutputOracleDynamicConfig)3542_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.L2OutputOracleDynamicConfig",
        "numberOfBytes": "64",
        "members": [
          {
            "astId": 3539,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l2OutputOracleStartingBlockNumber",
            "offset": 0,
            "slot": "0",
            "type": "t_uint256"
          },
          {
            "astId": 3541,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l2OutputOracleStartingTimestamp",
            "offset": 0,
            "slot": "1",
            "type": "t_uint256"
          }
        ]
      },
      "t_struct(ProxyAddressConfig)3512_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.ProxyAddressConfig",
        "numberOfBytes": "224",
        "members": [
          {
            "astId": 3499,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l2OutputOracleProxy",
            "offset": 0,
            "slot": "0",
            "type": "t_address"
          },
          {
            "astId": 3501,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "optimismPortalProxy",
            "offset": 0,
            "slot": "1",
            "type": "t_address"
          },
          {
            "astId": 3503,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1CrossDomainMessengerProxy",
            "offset": 0,
            "slot": "2",
            "type": "t_address"
          },
          {
            "astId": 3505,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1StandardBridgeProxy",
            "offset": 0,
            "slot": "3",
            "type": "t_address"
          },
          {
            "astId": 3507,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "optimismMintableERC20FactoryProxy",
            "offset": 0,
            "slot": "4",
            "type": "t_address"
          },
          {
            "astId": 3509,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "l1ERC721BridgeProxy",
            "offset": 0,
            "slot": "5",
            "type": "t_address"
          },
          {
            "astId": 3511,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "systemConfigProxy",
            "offset": 0,
            "slot": "6",
            "type": "t_address"
          }
        ]
      },
      "t_struct(SystemConfigConfig)3555_storage": {
        "encoding": "inplace",
        "label": "struct SystemDictator.SystemConfigConfig",
        "numberOfBytes": "160",
        "members": [
          {
            "astId": 3544,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "owner",
            "offset": 0,
            "slot": "0",
            "type": "t_address"
          },
          {
            "astId": 3546,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "overhead",
            "offset": 0,
            "slot": "1",
            "type": "t_uint256"
          },
          {
            "astId": 3548,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "scalar",
            "offset": 0,
            "slot": "2",
            "type": "t_uint256"
          },
          {
            "astId": 3550,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "batcherHash",
            "offset": 0,
            "slot": "3",
            "type": "t_bytes32"
          },
          {
            "astId": 3552,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "gasLimit",
            "offset": 0,
            "slot": "4",
            "type": "t_uint64"
          },
          {
            "astId": 3554,
            "contract": "contracts/deployment/SystemDictator.sol:SystemDictator",
            "label": "unsafeBlockSigner",
            "offset": 8,
            "slot": "4",
            "type": "t_address"
          }
        ]
      },
      "t_uint256": {
        "encoding": "inplace",
        "label": "uint256",
        "numberOfBytes": "32"
      },
      "t_uint64": {
        "encoding": "inplace",
        "label": "uint64",
        "numberOfBytes": "8"
      },
      "t_uint8": {
        "encoding": "inplace",
        "label": "uint8",
        "numberOfBytes": "1"
      }
    }
  }
}